]> arthur.barton.de Git - MkMySqlDump.git/blobdiff - bin/mkmysqldump
Show output of compression program to stdout, not stderr
[MkMySqlDump.git] / bin / mkmysqldump
index 8532607659f997e53ca83eb98767c0d010cd466a..0dc345da357d5ec1b1b79e4804a43161fcedc67f 100755 (executable)
@@ -168,7 +168,8 @@ $CMD >"$OUTFILE"; r=$?
 if [ -n "$COMPRESS" -a -s "$OUTFILE" -a $r -eq 0 ]; then
        echo "Dump done: $(date)"
        echo "Compressing dump file ($COMPRESS) ..."
-       $COMPRESS "$OUTFILE"
+       $COMPRESS "$OUTFILE" 2>&1
+       [ $? -eq 0 ] || echo "Error compressing dump file!" >&2
 fi
 echo "End: $(date)"
 echo
@@ -185,10 +186,10 @@ fi
 
 if [ $r -eq 0 ]; then
        echo "Dump command exited with code 0, success."
+       echo
 else
        echo "Dump command FAILED with code $r!" >&2
        ErrorNotice
 fi
 
-echo
 exit $r